# Uses of Enum Class
org.apache.sysds.runtime.instructions.Instruction.IType

Packages that use Instruction.IType
Package
Description
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.gpu
org.apache.sysds.runtime.instructions.ooc
org.apache.sysds.runtime.instructions.spark

## Uses of Instruction.IType in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return Instruction.IType
Modifier and Type
Method
Description
`abstract Instruction.IType`
Instruction.`getType()`
`static Instruction.IType`
Instruction.IType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Instruction.IType[]`
Instruction.IType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Instruction.IType in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return Instruction.IType
Modifier and Type
Method
Description
`Instruction.IType`
CPInstruction.`getType()`

## Uses of Instruction.IType in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed that return Instruction.IType
Modifier and Type
Method
Description
`Instruction.IType`
FEDInstruction.`getType()`

## Uses of Instruction.IType in org.apache.sysds.runtime.instructions.gpu

Methods in org.apache.sysds.runtime.instructions.gpu that return Instruction.IType
Modifier and Type
Method
Description
`Instruction.IType`
GPUInstruction.`getType()`

## Uses of Instruction.IType in org.apache.sysds.runtime.instructions.ooc

Methods in org.apache.sysds.runtime.instructions.ooc that return Instruction.IType
Modifier and Type
Method
Description
`Instruction.IType`
OOCInstruction.`getType()`

## Uses of Instruction.IType in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return Instruction.IType
Modifier and Type
Method
Description
`Instruction.IType`
SPInstruction.`getType()`